Skip to content

Satellite Imagery

Access Restriction

This API is a premium service available only to enterprise tier developers. Please contact Caiyun Sales to purchase.

Returns satellite imagery for the requested time range based on coordinates, product, and resolution.

Request

http
GET https://api.caiyunapp.com/v1/satellite

Query Parameters

NameRequiredDefaultRangeDescription
tokenYesAPI authentication credential; see Authentication
show_timeNo21~30Time range to retrieve, in hours
lonNoDefault China longitudeTarget longitude
latNoDefault China latitudeTarget latitude
productNotrue_colortrue_color/C11/ir108_3dSatellite product; supported values by region are listed below
resolutionNo4000M2000M/4000M/8000MImage resolution; supported values by region are listed below

product

RegionValueDescription
Chinatrue_colorTrue-color imagery
ChinaC11Water-vapor imagery
Chinair108_3d3D cloud imagery
North Americatrue_colorTrue-color imagery

resolution

RegionValueDescription
China4000M4 km resolution
China8000M8 km resolution
North America2000M2 km resolution
North America4000M4 km resolution

Request Example

bash
curl "https://api.caiyunapp.com/v1/satellite?token={token}&show_time=2&lon=116.3176&lat=39.9760&product=true_color&resolution=4000M"

Response Example

json
{
  "status": "ok",
  "images": [
    [
      "http://meteorology.caiyuncdn.com/satellite/prod/fy4b/preprocess/2025/06/23/true_color/4000M/china_DISK_202506230645_202506230659_webmerc.jpg?source=&auth_key=***",
      1750661100,
      [6, 66, 54, 136]
    ],
    [
      "http://meteorology.caiyuncdn.com/satellite/prod/fy4b/preprocess/2025/06/23/true_color/4000M/china_DISK_202506230715_202506230729_webmerc.jpg?source=&auth_key=***",
      1750662900,
      [6, 66, 54, 136]
    ]
  ]
}

Response Fields

JSONPathTypeDescription
$.statusstringRequest status; ok indicates success
$.imagesarray<array>Satellite imagery list
$.images[][0]stringImage URL
$.images[][1]numberImage timestamp
$.images[][2]array<number>Image bounds using WGS84 coordinates in [south latitude, west longitude, north latitude, east longitude] order